Package Details: protonvpn-cli 3.13.0-2

Git Clone URL: https://aur.archlinux.org/protonvpn-cli.git (read-only, click to copy)
Package Base: protonvpn-cli
Description: Official ProtonVPN Command Line Interface, maintained by the ProtonVPN team.
Upstream URL: https://github.com/ProtonVPN/
Keywords: cli protonvpn protonvpn-cli vpn
Licenses: GPL3
Submitter: protontechag
Maintainer: protontechag (calexandru2018, jllaneras)
Last Packager: calexandru2018
Votes: 90
Popularity: 3.69
First Submitted: 2021-05-28 16:33 (UTC)
Last Updated: 2022-09-14 15:15 (UTC)

Pinned Comments

XxTriviumxX commented on 2022-05-25 17:06 (UTC)

i can confirm theoldfellow's solution.

for paru users:

paru -R protonvpn
paru -R protonvpn-gui
paru -R protonvpn-cli
paru -S protonvpn

exprez135 commented on 2021-06-29 20:22 (UTC) (edited on 2021-07-12 20:55 (UTC) by exprez135)

Updates:

The new official Linux CLI client is now available. Source code and AUR protonvpn-cli. Please upgrade to this client if possible.

As for this community version, I think it should be maintained here for a while longer as there have still been git changes over the last week. The latest version is 2.2.11. This package is now marked as conflicting with the official protonvpn-cli package.

exprez135 commented on 2021-03-27 16:22 (UTC) (edited on 2021-03-27 16:22 (UTC) by exprez135)

Note: if upstream changes and the checksum needs to be updated, please try clean building to prevent caches from interfering.

Latest Comments

1 2 3 4 5 6 .. 10 Next › Last »

tonydero commented on 2022-11-17 16:11 (UTC) (edited on 2022-11-17 20:11 (UTC) by tonydero)

I've done a fresh reinstall, but every time I run the cli command with any arguments at all I get 4 identical warnings of:

<frozen importlib._bootstrap>:241: RuntimeWarning: greenlet.greenlet size changed, may indicate binary incompatibility. Expected 40 from C header, got 160 from PyObject

Also, while I can login successfully, when I try to connect it throws an error of:

Invalid format in KEYRING_PROTON_USER

Should I report this upstream? I didn't find any issues about these errors when I searched on GitHub.

morealaz commented on 2022-10-08 08:35 (UTC)

Please rename source line to rename downloaded source file to include pkgname and pkgver in its name:

source=("${pkgname}-${pkgver}.tar.gz::https://github.com/ProtonVPN/linux-cli/archive/refs/tags/$pkgver.tar.gz")

zeroconf commented on 2022-06-08 11:53 (UTC)

I also remind that I could not repeat the issue as in my computers the protonvpn-cli v3.12.0 works fine.

zeroconf commented on 2022-06-08 11:51 (UTC)

@AnarchoJohn Did you remove with all dependencies and then recompile from scratch? If so then please write also to ProtonVPN Team contact@protonvpn.com and describe your issues. We cannot solve source issues by ProtonVPN. I usually write here but at the same time initially write as fast as I can also to ProtonVPN customer support.

AnarchoJohn commented on 2022-06-08 06:43 (UTC) (edited on 2022-06-08 06:43 (UTC) by AnarchoJohn)

I tried that already, that didn't solve it.

zeroconf commented on 2022-06-07 20:36 (UTC)

@AnarchoJohn Please see my comment at 2022-05-27. I propose to completely remove and then reinstall again. At least for me it solved issues. Current v3.12.0 works fine - just tested.

AnarchoJohn commented on 2022-06-07 15:42 (UTC)

I get a broken pipe

Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/secretstorage/__init__.py", line 72, in dbus_init
    connection = open_dbus_connection()
  File "/usr/lib/python3.10/site-packages/jeepney/io/blocking.py", line 335, in open_dbus_connection
    conn = DBusConnection(sock, enable_fds)
  File "/usr/lib/python3.10/site-packages/jeepney/io/blocking.py", line 139, in __init__
    hello_reply = self.bus_proxy.Hello()
  File "/usr/lib/python3.10/site-packages/jeepney/io/blocking.py", line 270, in inner
    return self._connection.send_and_get_reply(
  File "/usr/lib/python3.10/site-packages/jeepney/io/blocking.py", line 184, in send_and_get_reply
    self.send_message(message, serial=serial)
  File "/usr/lib/python3.10/site-packages/jeepney/io/blocking.py", line 148, in send
    self.sock.sendall(data)
BrokenPipeError: [Errno 32] Broken pipe

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/protonvpn_nm_lib/core/keyring/linuxkeyring.py", line 21, in __getitem__
    stored_data = self.__keyring_backend.get_password(
  File "/usr/lib/python3.10/site-packages/keyring/backends/SecretService.py", line 78, in get_password
    collection = self.get_preferred_collection()
  File "/usr/lib/python3.10/site-packages/keyring/backends/SecretService.py", line 56, in get_preferred_collection
    bus = secretstorage.dbus_init()
  File "/usr/lib/python3.10/site-packages/secretstorage/__init__.py", line 80, in dbus_init
    raise SecretServiceNotAvailableException(str(ex)) from ex
secretstorage.exceptions.SecretServiceNotAvailableException: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/protonvpn-cli", line 33, in <module>
    sys.exit(load_entry_point('protonvpn-cli==3.12.0', 'console_scripts', 'protonvpn-cli')())
  File "/usr/lib/python3.10/site-packages/protonvpn_cli/main.py", line 21, in main
    ProtonVPNCLI()
  File "/usr/lib/python3.10/site-packages/protonvpn_cli/cli.py", line 65, in __init__
    res = getattr(self, args.command)()
  File "/usr/lib/python3.10/site-packages/protonvpn_cli/cli.py", line 71, in c
    return self.connect()
  File "/usr/lib/python3.10/site-packages/protonvpn_cli/cli.py", line 133, in connect
    return self.cli_wrapper.connect(args)
  File "/usr/lib/python3.10/site-packages/protonvpn_cli/cli_wrapper.py", line 242, in connect
    if not self.protonvpn.check_session_exists():
  File "/usr/lib/python3.10/site-packages/protonvpn_nm_lib/api.py", line 356, in check_session_exists
    return self._env.api_session.is_valid
  File "/usr/lib/python3.10/site-packages/protonvpn_nm_lib/core/environment.py", line 56, in api_session
    self.__api_session = APISession()
  File "/usr/lib/python3.10/site-packages/protonvpn_nm_lib/core/session/session.py", line 224, in __init__
    self.__keyring_load_session()
  File "/usr/lib/python3.10/site-packages/protonvpn_nm_lib/core/session/session.py", line 253, in __keyring_load_session
    keyring_data_user = ExecutionEnvironment().keyring[
  File "/usr/lib/python3.10/site-packages/protonvpn_nm_lib/core/keyring/linuxkeyring.py", line 32, in __getitem__
    raise exceptions.KeyringError(e)
protonvpn_nm_lib.exceptions.KeyringError: [Errno 32] Broken pipe

andrhua commented on 2022-06-05 13:00 (UTC)

having networkmanager as a dependency is a bummer, hopefully nm got better since last time I've used it